smart-notifier installs, but has missing requirments

Bug #1875498 reported by Colin Hemming on 2020-04-27
42
This bug affects 4 people
Affects Status Importance Assigned to Milestone
smart-notifier (Ubuntu)
High
Unassigned
Focal
High
Unassigned
Groovy
High
Unassigned

Bug Description

[Impact]

In the focal build of smart-notifier, the important files were not installed, and the resulting binary is useless. A backport as an SRU of the groovy version fixes the issue.

[Test Case]

Run the command:

ls /usr/share/smart-notifier -1

When fixed, it should output:

smart-notifier
smart_notifier
smart_notifier-0.28.egg-info

[Regression Potential]

Low... (It cannot be more useless than it currently is.)

[More details]

I installed this in a fresh install of Xubuntu 20.04.1 and, while it installs, the file to which it links:

/usr/bin/smart-notifier -> ../share/smart-notifier/smart-notifier

does not exist, so it does not function at all!

--
$ sudo apt install --reinstall smart-notifier
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  gnome-software-common libappstream-glib8
Use 'sudo apt autoremove' to remove them.
0 to upgrade, 0 to newly install, 1 reinstalled, 0 to remove and 4 not to upgrade.
Need to get 6,812 B of archives.
After this operation, 0 B of additional disk space will be used.
Get:1 http://gb.archive.ubuntu.com/ubuntu focal/universe amd64 smart-notifier all 0.28-5build1 [6,812 B]
Fetched 6,812 B in 0s (102 kB/s)
(Reading database ... 318601 files and directories currently installed.)
Preparing to unpack .../smart-notifier_0.28-5build1_all.deb ...
Unpacking smart-notifier (0.28-5build1) over (0.28-5build1) ...
Setting up smart-notifier (0.28-5build1) ...
Processing triggers for dbus (1.12.16-2ubuntu2) ...
Processing triggers for man-db (2.9.1-1) ...

$ ls -ls /usr/share/smart*
total 12
4 -rwxr-xr-x 1 root root 166 Oct 9 2019 smartd-runner
8 -rwxr-xr-x 1 root root 5583 Mar 21 12:29 smartd_warning.sh

--

Description: Ubuntu 20.04 LTS
Release: 20.04

smart-notifier:
  Installed: 0.28-5build1
  Candidate: 0.28-5build1
  Version table:
 *** 0.28-5build1 500
        500 http://gb.archive.ubuntu.com/ubuntu focal/universe amd64 Packages
        500 http://gb.archive.ubuntu.com/ubuntu focal/universe i386 Packages
        100 /var/lib/dpkg/status

affects: ubuntu-meta (Ubuntu) → smart-notifier (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in smart-notifier (Ubuntu):
status: New → Confirmed
Gunnar Hjalmarsson (gunnarhj) wrote :

To the sponsor: Please backport the groovy version of smart-notifier to focal as an SRU. The focal binary is broken and completely useless, while the groovy version installs fine in focal.

Changed in smart-notifier (Ubuntu Focal):
importance: Undecided → High
status: New → In Progress
Changed in smart-notifier (Ubuntu Groovy):
status: Confirmed → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

@Colin: Thanks for your report!

Can you please edit the bug description to comply with the requirements for a stable release update in accordance with this template:

https://wiki.ubuntu.com/StableReleaseUpdates#SRU_Bug_Template

tags: added: focal regression-release
geole0 (geole0) wrote :

Hello

sudo apt install --reinstall smart-notifier
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/6 812 o dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
(Lecture de la base de données... 259364 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../smart-notifier_0.28-5build1_all.deb ...
Dépaquetage de smart-notifier (0.28-5build1) sur (0.28-5build1) ...
Paramétrage de smart-notifier (0.28-5build1) ...
Traitement des actions différées (« triggers ») pour dbus (1.12.16-2ubuntu2) ...
Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...

ls -ls /usr/share/smart*
total 12
4 -rwxr-xr-x 1 root root 166 oct. 9 2019 smartd-runner
8 -rwxr-xr-x 1 root root 5583 mars 21 13:29 smartd_warning.sh

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=20.04
DISTRIB_CODENAME=focal
DISTRIB_DESCRIPTION="Ubuntu 20.04 LTS"

Mathew Hodson (mhodson) on 2020-06-09
Changed in smart-notifier (Ubuntu Groovy):
importance: Undecided → High
Colin Hemming (b-ubuntuone14) wrote :

@Gunnar

Is the report better now, or still need fixing? I read the link you sent me, but while it may be very technical, it's far from clear to a user at my level. This is the first bug I've reported from scratch, so I'm happy to learn, just ignorant! :)

Sorry for the delay in response, my ISP managed to corrupt my e-mail configuration and that took many days to resolve.

description: updated
Changed in smart-notifier (Ubuntu Groovy):
status: Fix Released → Confirmed
Changed in smart-notifier (Ubuntu Groovy):
status: Confirmed → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

No problem, Colin. I fixed the description so it includes an 'executive summary' in accordance with the instruction.

@Matthias: Any chance you can sponsor this?

description: updated
Mattia Rizzolo (mapreri) wrote :

I'm uploading a bare backport as @gunnarhj asked, patch from the focal version attached.

Hello Colin, or anyone else affected,

Accepted smart-notifier into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/smart-notifier/0.28-6~ubuntu20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in smart-notifier (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Gunnar Hjalmarsson (gunnarhj) wrote :

I verified the test case using smart-notifier 0.28-6~ubuntu20.04.1 from focal-proposed, and also confirmed that running the smart-notifier command successfully starts a process.

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal

Hello,

I installed the proposed smart-notifier (0.28-6~ubuntu20.04.1) package. It worked for me when I ran "/usr/bin/smart-notifier --notify <<< 'hi there'"

Thanks!
Jason

geole0 (geole0) wrote :

Hello
today the correction is not yet available

cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=20.04
DISTRIB_CODENAME=focal
DISTRIB_DESCRIPTION="Ubuntu 20.04.1 LTS"

sudo apt update
Atteint :1 http://fr.archive.ubuntu.com/ubuntu focal InRelease
Réception de :2 http://security.ubuntu.com/ubuntu focal-security InRelease [107 kB]
Atteint :3 http://ppa.launchpad.net/ancestris/ancestris-stable/ubuntu focal InRelease
Atteint :4 http://fr.archive.ubuntu.com/ubuntu focal-updates InRelease
Atteint :5 http://fr.archive.ubuntu.com/ubuntu focal-backports InRelease
0% [2 InRelease 39,7 kB/107 kB 37%] [Attente des fichiers d'en-tête]
Atteint :6 http://ppa.launchpad.net/nicotine-team/unstable/ubuntu focal InRelease
Atteint :7 http://ppa.launchpad.net/yannubuntu/boot-repair/ubuntu focal InRelease
107 ko réceptionnés en 1s (86,7 ko/s)
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Tous les paquets sont à jour.

sudo apt install --reinstall smart-notifier
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 1 non mis à jour.
Il est nécessaire de prendre 6 812 o dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Réception de :1 http://fr.archive.ubuntu.com/ubuntu focal/universe amd64 smart-notifier all 0.28-5build1 [6 812 B]
6 812 o réceptionnés en 0s (45,1 ko/s)
(Lecture de la base de données... 226877 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../smart-notifier_0.28-5build1_all.deb ...
Dépaquetage de smart-notifier (0.28-5build1) sur (0.28-5build1) ...
Paramétrage de smart-notifier (0.28-5build1) ...
Traitement des actions différées (« triggers ») pour dbus (1.12.16-2ubuntu2.1) ...
Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...
a@a:~$

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2020-08-09 14:43, geole0 wrote:
> Hello
> today the correction is not yet available

Right, it's still just in focal-proposed. But it will be moved to focal-updates soon, and a message will be posted here when that happens.

The verification of the Stable Release Update for smart-notifier has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package smart-notifier - 0.28-6~ubuntu20.04.1

---------------
smart-notifier (0.28-6~ubuntu20.04.1) focal; urgency=medium

  * Backport to focal to fix broken rebuild. LP: #1875498

smart-notifier (0.28-6) unstable; urgency=medium

  * [be9a59d] Reexport patches using newer gbp-pq and without patch numbers
  * [a7c30a3] Patch manpage to fix typos and grammatical errors.
    Thanks to Barak A. Pearlmutter (Closes: #729563)
  * [8c6d0d1] Bump Standards-Version to 3.9.5 (no changes required)
  * [d4cc66f] Bump debhelper compat and standards-version
  * [b597368] Use python3
  * [0be6397] Patch print statement for python3
  * [0783bab] Disable tests
  * [5499955] Fix typo in README.Debian
  * [3a8b5e3] Update Vcs-* urls

 -- Mattia Rizzolo <email address hidden> Tue, 21 Jul 2020 17:35:17 +0200

Changed in smart-notifier (Ubuntu Focal):
status: Fix Committed → Fix Released
geole0 (geole0) wrote :

Hello
If the operation of smartctl should be the same between version 18.04 and version 20.04, it seems to me that this is not the case,

In version 18.04, it is possible to test that everything is functional with this command.
 sudo sh -c 'echo test de message | smart-notifier --notify'

This gives a display that I qualify as compliant https://doc.ubuntu-fr.org/_media/smart-notifier_15.10.png?w=800&tok=ece28c

In version 20.04, it is now possible to execute the same command. But nothing appears on the screen. maybe there is still something to discover?
Thank you

geole0 (geole0) wrote :
Download full text (4.9 KiB)

sudo apt install --reinstall smart-notifier
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libfprint-2-tod1 libpython2-stdlib libpython2.7-minimal libpython2.7-stdlib
  python-dbus python-gi python2 python2-minimal python2.7 python2.7-minimal
Veuillez utiliser « sudo apt autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 1 réinstallés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 10,0 ko dans les archives.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Réception de :1 http://fr.archive.ubuntu.com/ubuntu focal-updates/universe amd64 smart-notifier all 0.28-6~ubuntu20.04.1 [10,0 kB]
10,0 ko réceptionnés en 0s (53,5 ko/s)
(Lecture de la base de données... 187807 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../smart-notifier_0.28-6~ubuntu20.04.1_all.deb ...
Dépaquetage de smart-notifier (0.28-6~ubuntu20.04.1) sur (0.28-6~ubuntu20.04.1) ...
Paramétrage de smart-notifier (0.28-6~ubuntu20.04.1) ...
Traitement des actions différées (« triggers ») pour dbus (1.12.16-2ubuntu2.1) .
..
Traitement des actions différées (« triggers ») pour man-db (2.9.1-1) ...

sudo sh -c 'echo test de message | smart-notifier --notify'

journalctl -f
-- Logs begin at Sun 2020-08-02 16:35:26 CEST.
.........
août 11 14:11:54 b gnome-shell[1435]: JS ERROR: TypeError: windowActor is null
/bin/sh -c echo test de message | smart-notifier --notify
août 11 14:11:57 b sudo[9598]: pam_unix(sudo:session): session opened for user root by (uid=0)
août 11 14:11:57 b sudo[9598]: pam_unix(sudo:session): session closed for user root
août 11 14:11:59 b gnome-shell[1435]: JS ERROR: TypeError: windowActor is null
                                       _addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:90:28
                                       vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:162:14
août 11 14:12:04 b gnome-shell[1435]: JS ERROR: TypeError: windowActor is null
                                       _addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:90:28
                                       vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:162:14
août 11 14:12:14 b gnome-shell[1435]: JS ERROR: TypeError: windowActor is null
                                       _addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:90:28
                                       vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:162:14
août 11 14:12:19 b gnome-shell[1435]: JS ERROR: TypeError: windowActor is null
                                       _addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:90:28
                                       vfunc_show@resource:///org/gnome/shell/ui/closeDialog.js:162:14
août 11 14:12:24 b gnome-shell[1435]: JS ERROR: TypeError: windowActor is null
                                       _addWindowEffect@resource:///org/gnome/shell/ui/closeDialog.js:90:28
                                       vfunc_show@resource:///org/gnome/...

Read more...

geole0 (geole0) wrote :

False alarm
You just have to reboot the computer after installing smart-notifier for the test message to appear on the screen.

Gunnar Hjalmarsson (gunnarhj) wrote :

@geole0: I don't use smart-notifier, and don't know how it's actually supposed to work. As regards testing, a successful simple test was reported in comment #10. Please note that it was run as a regular user, not root.

Otherwise your question and possible new problem is beyond the scope of this now closed bug report.

If you think there is a new issue, you may be better off by filing a Debian bug report:

https://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=smart-notifier

If you think there is something with smartmontools itself, there is a support mailing list:

https://listi.jpberlin.de/mailman/listinfo/smartmontools-support

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers